Bug 56347 - Unexpected behavior of LPRng.
Unexpected behavior of LPRng.
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-11-15 17:37 EST by Stijn Jonker
Modified: 2007-04-18 12:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-08 08:20:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stijn Jonker 2001-11-15 17:37:07 EST
I finally started using LPR intensivly and i noticed a big chance and an
irritating 2 things, when still using lpr (RH 6.X i believe) this wasn't

First of all the admin doesn't get mailed on error. The
mail_operator_on_error= is set to <NULL> by default, in lpd this used to be

Second and more important, if the job can't be send remote to an lpd device
or an other server it's deleted. Because the following is set by default:

# Purpose: failure action to take after send_try attempts failed
#   default send_failure_action=remove  (STRING)

Imho this should be retry.

Below is the info of the package.

Name        : LPRng                        Relocations: (not relocateable)
Version     : 3.7.4                             Vendor: Red Hat, Inc.
Release     : 23                            Build Date: Thu Jun  7 19:51:11

I hope you agree and fix this in a errata OR a next release!

I first debug samba, then I put the inter printserver to the test, then the
 printer, because the expected behavior was to keep to retry..

Finally when i was confident it all worked ok, i check lpd/LPDng... 

That took me some hours...

Let me know what you guys think.
Comment 1 Stijn Jonker 2001-11-15 17:38:37 EST

I forgot to mention I didn't check RH 7.1 or 7.2, but it might apply to those
also. RH 7.0 is a winning team here, and I once learned you should never change
a winning team!
Comment 2 Tim Waugh 2004-12-08 08:20:25 EST
CUPS is used instead of LPRng now.

Note You need to log in before you can comment on or make changes to this bug.